[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.RadialPie

RadialPie draws a filled pie-shaped wedge on the canvas with specified start and end coordinates, and starting and ending angular positions.

## Declaration

Source position: graphics.pp line 1132

`public procedure TCanvas.RadialPie(`
`x1: Integer;`
`y1: Integer;`
`x2: Integer;`
`y2: Integer;`
`StartAngle16Deg: Integer;`
`Angle16DegLength: Integer`
`); virtual;`

## Description

Use Pie to draw a filled pie-shaped wedge on the canvas.

The angles StartAngle16Deg and Angle16DegLength are 1/16th of a degree. For example, a full circle equals 5760 (16*360).

Positive values in StartAngle16Deg means counter-clockwise while negative values mean clockwise direction. Zero degrees is at the 3 o'clock position.

## See also

TCanvas.Pie |  | Pie draws a filled Pie-shaped wedge on the canvas.